<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Entities\Import\Enums;

use Spatie\Enum\Laravel\Enum;

/**
 * Class DruhPalivaEnum
 *
 * @package Seka\Portal\Modul\Statistiky\Entities\Import\Enums
 * @method static self SPUSTENY()
 * @method static self DOKONCENY()
 * @method static self NEUSPESNY()
 * @method static self PRERUSENY()
 */
final class StavEnum extends Enum
{
    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'SPUSTENY' => 'spustený',
            'DOKONCENY' => 'dokončený',
            'NEUSPESNY' => 'neúspešný',
            'PRERUSENY' => 'prerušený',
        ];
    }

    public function color(): string
    {
        switch ($this->value) {
            case 'SPUSTENY':
                return '#cddafd';
            case 'DOKONCENY':
                return '#bee1e6';
            case 'NEUSPESNY':
                return '#eebbaa';
            case 'PRERUSENY':
                return '#fad2e1';
            default:
                return '#dfe7fd';
        }
    }
}
